Bug 105835 - kdeedu bad source code
kdeedu bad source code
Product: Red Hat Linux
Classification: Retired
Component: kdeedu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-09-28 07:01 EDT by d.binderman
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-14 04:37:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-09-28 07:01:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I just tried to compile package kdeedu-3.1-2, from redhat 9.0,
with compiler flag -Wall. The compiler said

xjdxgen.c:157: warning: `return' with no value, in function returning non-void
xjdxgen.c:321: warning: this function may return with or without a value

Seems worth fixing to me.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. compile with flag -Wall.

Additional info
Comment 1 Rik van Riel 2004-10-13 16:15:22 EDT
Hmmm, I guess this one must be fixed already ...
Comment 2 Ngo Than 2004-10-14 04:37:57 EDT
it's already fixed in RHEL 3 and FC2 current release.

Note You need to log in before you can comment on or make changes to this bug.